Mailinglist Archive: opensuse-security-announce (7 mails)

< Previous Next >
[security-announce] SUSE Security Summary Report: SUSE-SR:2009:012
  • From: Thomas Biege <thomas@xxxxxxx>
  • Date: Fri, 03 Jul 2009 17:07:43 +0200
  • Message-id: <4a4e1ebf.CSc/0njQBbf6mI0r%thomas@xxxxxxx>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

______________________________________________________________________________

SUSE Security Summary Report

Announcement ID: SUSE-SR:2009:012
Date: Fri, 03 Jul 2009 16:00:00 +0000
Cross-References: CVE-2008-5515, CVE-2008-6123, CVE-2009-0033
CVE-2009-0146, CVE-2009-0147, CVE-2009-0165
CVE-2009-0166, CVE-2009-0198, CVE-2009-0509
CVE-2009-0510, CVE-2009-0511, CVE-2009-0512
CVE-2009-0580, CVE-2009-0663, CVE-2009-0749
CVE-2009-0755, CVE-2009-0756, CVE-2009-0781
CVE-2009-0783, CVE-2009-0791, CVE-2009-0799
CVE-2009-0800, CVE-2009-0949, CVE-2009-1179
CVE-2009-1180, CVE-2009-1181, CVE-2009-1182
CVE-2009-1183, CVE-2009-1194, CVE-2009-1271
CVE-2009-1272, CVE-2009-1341, CVE-2009-1386
CVE-2009-1387, CVE-2009-1391, CVE-2009-1438
CVE-2009-1572, CVE-2009-1574, CVE-2009-1632
CVE-2009-1648, CVE-2009-1855, CVE-2009-1856
CVE-2009-1857, CVE-2009-1858, CVE-2009-1859
CVE-2009-1861, CVE-2009-1882, CVE-2009-1957
CVE-2009-1958, CVE-2009-1959

Content of this advisory:
1) Solved Security Vulnerabilities:
- optipng
- cups
- quagga
- pango
- strongswan
- perl-DBD-Pg
- irssi
- openssl/libopenssl-devel
- net-snmp
- ImageMagick/GraphicsMagick
- perl
- ipsec-tools/novell-ipsec-tools
- poppler/libpoppler3/libpoppler4
- yast2-ldap-server
- tomcat6
- gstreamer-plugins/gstreamer010-plugins-bad
- apache2-mod_php5
2) Pending Vulnerabilities, Solutions, and Work-Arounds:
none
3) Authenticity Verification and Additional Information

______________________________________________________________________________

1) Solved Security Vulnerabilities

To avoid flooding mailing lists with SUSE Security Announcements for minor
issues, SUSE Security releases weekly summary reports for the low profile
vulnerability fixes. The SUSE Security Summary Reports do not list or
download URLs like the SUSE Security Announcements that are released for
more severe vulnerabilities.

Fixed packages for the following incidents are already available on our FTP
server and via the YaST Online Update.

- optipng
OptiPNG contained a bug in the GIF handling
code that allowed to use already freed ressources.
CVE-2009-0749 has been assigned to this issue.
Affected products: openSUSE 10.3-11.1, SLE9-11

- cups
The "pdftops" was prone to several integer overflows (CVE-2009-0791).
The cups daemon could crash when receiving IPP requests with multiple
unsupported tags (CVE-2009-0949).
Affected products: openSUSE 10.3, SLE9,10

- quagga
This update fixes a remote denial of service bug in quagga that can be
triggered via an AS path containing ASN elements whose string repre-
sentation is longer than expected. (CVE-2009-1572)
Affected products: openSUSE 10.3-11.1, SLE9-11

- pango
This update of pango fixes a segfault in libpango that can be triggered
by visiting web-sites. (CVE-2009-1194)
Affected products: openSUSE 11.1, SLE11

- strongswan
This update fixes two denial of service bugs that can lead to a remote
pre-auth crash while processing a IKE_SA_INIT or a IKE_AUTH request.
(CVE-2009-1957 and CVE-2009-1958)
Affected products: openSUSE 10.3-11.1, SLE9-11

- perl-DBD-Pg
This update of perl-DBD-Pg fixes a heap-based buffer overflow in function
pg_db_getline() (CVE-2009-0663) and a denial of service bug that could be
triggered remotely (CVE-2009-1341).
Affected products: openSUSE 10.3, SLE10

- irssi
Fixed a irssi off by one overflow in the event_wallops() function.
CVE-2009-1959 has been assigned to this issue.
Affected products: openSUSE 10.3-11.1

- openssl/libopenssl-devel
OpenSSL DTLS remote DoS in ChangeCipherSpec (CVE-2009-1386)
and in out-of-sequence message handling (CVE-2009-1387) have been fixed.
Affected products: openSUSE 10.3-11.1, SLE9-11

- net-snmp
With this update of net-snmp the handling of TCP wrappers rules for
client authorization was improved, prior to this update it was possible
for remote attackers to bypass intended access restrictions and execute
SNMP queries. (CVE-2008-6123)
Additionally binding to multiple interfaces was improved.
Affected products: openSUSE 10.3-11.1, SLE9-11

- ImageMagick/GraphicsMagick
This update of ImageMagick fixes an integer overflow in the XMakeImage()
function that allowed remote attackers to cause a denial-of-service and
possibly the execution of arbitrary code via a crafted TIFF file.
(CVE-2009-1882)
Affected products: openSUSE 10.3-11.1, SLE9-11

- perl/perl-Compress-Raw-Zlib
A Buffer overflow in perl, in the base Compress::Raw::Zlib perl module
has been fixed. (CVE-2009-1391)
Affected products: openSUSE 10.3-11.1, SLE9-11

- ipsec-tools/novell-ipsec-tools
This update of ipsec-tools fixes a crash of racoon in ISAKMP's de-
fragmentation code due to a NULL-pointer dereference. (CVE-2009-1574)
Additionally multiple memory leaks were fixed that allowed to execute
a remote denial of service attack. (CVE-2009-1632)
Affected products: openSUSE 10.3-11.1, SLE9-11

- poppler/libpoppler3/libpoppler4
This update of poppler: fix various security bugs that occur while decoding
JBIG2 (CVE-2009-0146, CVE-2009-0147, CVE-2009-0165, CVE-2009-0166,
CVE-2009-0799, CVE-2009-0800, CVE-2009-1179, CVE-2009-1180, CVE-2009-1181,
CVE-2009-1182, CVE-2009-1183).
Further a denial of service bug in function
FormWidgetChoice::loadDefaults()
(CVE-2009-0755) and JBIG2Stream::readSymbolDictSeg() (CVE-2009-0756) was
closed
that could be triggered via malformed PDF files.
Affected products: openSUSE 10.3-11.1, SLE9-11

- yast2-ldap-server
The YaST2 LDAP module in SUSE Linux Enterprise Server 11 did not
initialize the firewall configuration during second stage
installation. Therefore, if an online update required reboot during
second stage firewall settings were not applied and the firewall
turned off (CVE-2009-1648).
Affected products: SLE11

- tomcat6
This update of tomcat fixes several vulnerabilities:
- CVE-2008-5515: RequestDispatcher usage can lead to information leakage
- CVE-2009-0033: denial of service via AJP connection
- CVE-2009-0580: some authentication classes allow user enumeration
- CVE-2009-0781: XSS bug in example application cal2.jsp
- CVE-2009-0783: replacing XML parser leads to information leakage
Additionally, non-security bugs were fixed.
Affected products: openSUSE 11.0-11.1, SLE11

- gstreamer-plugins/gstreamer010-plugins-bad
This update fixes a buffer overflow in libmodplug MED file handler that can
be exploited remotely to execute arbitrary code with the privileges of the
process using the library. (CVE-2009-1438)
Affected products: openSUSE 11.0-11.1, NLD9

- apache2-mod_php5
This update fixes the JSON parser (CVE-2009-1271) and the zip packer code
(CVE-2009-1272) in php5. Both bugs can lead to a remote denial of service
attack.
Affected products: SLE11

______________________________________________________________________________

2) Pending Vulnerabilities, Solutions, and Work-Arounds

none
______________________________________________________________________________

3) Authenticity Verification and Additional Information

- Announcement authenticity verification:

SUSE security announcements are published via mailing lists and on Web
sites. The authenticity and integrity of a SUSE security announcement is
guaranteed by a cryptographic signature in each announcement. All SUSE
security announcements are published with a valid signature.

To verify the signature of the announcement, save it as text into a file
and run the command

gpg --verify <file>

replacing <file> with the name of the file containing the announcement.
The output for a valid signature looks like:

gpg: Signature made <DATE> using RSA key ID 3D25D3D9
gpg: Good signature from "SuSE Security Team <security@xxxxxxx>"

where <DATE> is replaced by the date the document was signed.

If the security team's key is not contained in your key ring, you can
import it from the first installation CD. To import the key, use the
command

gpg --import gpg-pubkey-3d25d3d9-36e12d04.asc

- Package authenticity verification:

SUSE update packages are available on many mirror FTP servers all over the
world. While this service is considered valuable and important to the free
and open source software community, the authenticity and integrity of a
package needs to be verified to ensure that it has not been tampered with.

The internal RPM package signatures provide an easy way to verify the
authenticity of an RPM package. Use the command

rpm -v --checksig <file.rpm>

to verify the signature of the package, replacing <file.rpm> with the
filename of the RPM package downloaded. The package is unmodified if it
contains a valid signature from build@xxxxxxx with the key ID 9C800ACA.

This key is automatically imported into the RPM database (on RPMv4-based
distributions) and the gpg key ring of 'root' during installation. You can
also find it on the first installation CD and included at the end of this
announcement.

- SUSE runs two security mailing lists to which any interested party may
subscribe:

opensuse-security@xxxxxxxxxxxx
- General Linux and SUSE security discussion.
All SUSE security announcements are sent to this list.
To subscribe, send an e-mail to
<opensuse-security+subscribe@xxxxxxxxxxxx>.

opensuse-security-announce@xxxxxxxxxxxx
- SUSE's announce-only mailing list.
Only SUSE's security announcements are sent to this list.
To subscribe, send an e-mail to
<opensuse-security-announce+subscribe@xxxxxxxxxxxx>.

=====================================================================
SUSE's security contact is <security@xxxxxxxx> or <security@xxxxxxx>.
The <security@xxxxxxx> public key is listed below.
=====================================================================
______________________________________________________________________________

The information in this advisory may be distributed or reproduced,
provided that the advisory is not modified in any way. In particular, the
clear text signature should show proof of the authenticity of the text.

SUSE Linux Products GmbH provides no warranties of any kind whatsoever
with respect to the information contained in this security advisory.

Type Bits/KeyID Date User ID
pub 2048R/3D25D3D9 1999-03-06 SuSE Security Team <security@xxxxxxx>
pub 1024D/9C800ACA 2000-10-19 SuSE Package Signing Key <build@xxxxxxx>

- -----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.2 (GNU/Linux)
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=ypVs
- -----END PGP PUBLIC KEY BLOCK-----

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQEVAwUBSk4ei3ey5gA9JdPZAQISHgf7B7adRmgxTfG/08b2sY1VBZZxjG/jVskj
6Z47jcCsMcgtfMRgS0wa3weZO6DP/PJcEeZ5UwqfRNvPLKl6XX7vdrxTvqlx6v1x
EpfPQxKtQQAKff9RL2xomGPaFKKKRVvx+NaiyWvHXY0dNvZj4xYRHkShUdM7wFDG
a0qX69zmNXJS/CvkPE26S1DBwhPK/v5RPNC5X07/MjaxPW97SsJNBjQr/19HwITK
d2UHLaJTzz7XlmAFpXxkFyIxIlkNtX6mXPveEQm/RpCEPEzuycoD0ED82ir5Duyu
1iqQ0mXlEj0EgC5EpfefBzmcPI0jqK48IrMmn5l2/jSP/ehkCT/jdQ==
=T9qx
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages